# DocumentFields Object

> Source: https://truto.one/docs/api-reference/unified-e-signature-api/documentfields/

Schema for the `DocumentFields` resource in **Unified E-Signature API**.

## Properties

- **`id`** _(string)_
  The unique identifier for the document field
- **`label`** _(string)_
  Human readable name for the field
- **`type`** _(string)_
  The type of the field
  Allowed: `signature`, `initials`, `full_name`, `signing_date`, `company_name`, `title`, `text`, `email`
- **`is_read_only`** _(boolean)_
  Specifies if the field can be edited by the participants
- **`is_required`** _(boolean)_
  Specifies if the field is required to be filled by the participants to complete the signing request
- **`document`** _(object)_
  The document on which the field is found
  - **`id`** _(string)_
    The unique identifier for the document
  - **`page_number`** _(string)_
    The page number of which the field is found inside the document
  - **`position`** _(object)_
    - **`x`** _(string)_
      The X-axis coordinate position for the field
    - **`y`** _(string)_
      The Y-axis coordinate position for the field
- **`signing_request`** _(object)_
  The signing request on which the field is found
  - **`id`** _(string)_
    The unique identifier for the signing request
- **`participant`** _(object)_
  The participant who needs to fill this field
  - **`id`** _(string)_
    The unique identifier of the participant
- **`created_at`** _(string)_
  The date and time when the document field was created
- **`updated_at`** _(string)_
  The date and time when the document field was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/e-signature/document_fields](/docs/api-reference/unified-e-signature-api/documentfields/list) — List Document fields
- [POST /unified/e-signature/document_fields](/docs/api-reference/unified-e-signature-api/documentfields/create) — Create Document fields
- [DELETE /unified/e-signature/document_fields/{id}](/docs/api-reference/unified-e-signature-api/documentfields/delete) — Delete Document fields
